Browse Source

rm stuff which is in java-overlay.

gnu-classpath was a dep of ebean, but is not anymore, since it was a trivial bump, kill it as well.
master
Robert Förster 10 years ago
parent
commit
5e855f1674
  1. 1
      dev-java/ebean/Manifest
  2. 72
      dev-java/ebean/ebean-2.7.5.ebuild
  3. 106
      dev-java/ebean/files/no-scala.patch
  4. 1
      dev-java/gnu-classpath/Manifest
  5. 111
      dev-java/gnu-classpath/gnu-classpath-0.99.ebuild
  6. 1
      dev-java/gson/Manifest
  7. 38
      dev-java/gson/gson-2.2.2.ebuild
  8. 1
      dev-java/hawtjni-runtime/Manifest
  9. 24
      dev-java/hawtjni-runtime/hawtjni-runtime-1.5.ebuild
  10. 1
      dev-java/jansi-native/Manifest
  11. 26
      dev-java/jansi-native/jansi-native-1.4.ebuild
  12. 1
      dev-java/jansi/Manifest
  13. 34
      dev-java/jansi/jansi-1.9.ebuild
  14. 1
      dev-java/jline/Manifest
  15. 26
      dev-java/jline/files/maven-build.properties
  16. 278
      dev-java/jline/files/maven-build.xml
  17. 62
      dev-java/jline/jline-2.7.ebuild
  18. 1
      dev-java/jopt-simple/Manifest
  19. 48
      dev-java/jopt-simple/jopt-simple-4.3.ebuild
  20. 2897
      eclass/java-utils-2.eclass
  21. 1
      games-server/bukkit/Manifest
  22. 49
      games-server/bukkit/bukkit-1500.ebuild
  23. 2
      games-server/craftbukkit/Manifest
  24. 114
      games-server/craftbukkit/craftbukkit-2262.ebuild
  25. 34
      games-server/craftbukkit/files/directory.sh

1
dev-java/ebean/Manifest

@ -1 +0,0 @@
DIST ebean-2.7.5.zip 6119420 SHA256 4aef63c5c47011d20d6fafcd8186640b3302a5592ce4184c720cb95326cb2d38 SHA512 a4383998b784757cda37846a3810b367c00f56144930ee535cfe0bec688bf597e5a0c583c5feb0ef7625dc29c915ebfb2ccb3997e25c546cb3272baab51864f2 WHIRLPOOL 7fc64bf6bde35fda099aa88e2c4f0299e44a99d5135ae9df7a20a408044677caf946ada1ec730dfc76d469f74f2cb0327ac91c333fe86af2ed9d0695c0b18e10

72
dev-java/ebean/ebean-2.7.5.ebuild

@ -1,72 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
JAVA_PKG_IUSE="doc source"
JAVA_PKG_WANT_BOOTCLASSPATH="1.5"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="An ORM for Java from Avaje"
HOMEPAGE="http://www.avaje.org/"
SRC_URI="mirror://sourceforge/ebeanorm/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="scala"
CDEPEND="dev-java/ant-core:0
dev-java/glassfish-persistence:0
dev-java/glassfish-transaction-api:0
dev-java/joda-time:0
dev-java/lucene:3.5
java-virtuals/servlet-api:2.5
scala? ( dev-lang/scala:0 )"
RDEPEND="${CDEPEND}
>=virtual/jre-1.5"
DEPEND="${CDEPEND}
app-arch/unzip
>=virtual/jdk-1.5"
S="${WORKDIR}/${P}"
JAVA_GENTOO_CLASSPATH="ant-core glassfish-persistence glassfish-transaction-api joda-time lucene-3.5 servlet-api-2.5"
NON_GNU="com/avaje/ebeaninternal/server/el/ElFilter"
pkg_setup() {
java-pkg-2_pkg_setup
use scala && JAVA_GENTOO_CLASSPATH="${JAVA_GENTOO_CLASSPATH} scala"
}
java_prepare() {
unpack "./${P}-sources.jar"
cp -v "${NON_GNU}.java"{,.orig} || die
if ! use scala; then
einfo "Removing Scala support ..."
find -regex ".*/[^/]*Scala[^r][^/]*\.java" -exec rm -vf {} \; || die
epatch "${FILESDIR}/no-scala.patch"
fi
}
src_compile() {
# GNU Classpath 0.98 doesn't support Pattern.quote, but 0.99 does. since we use that here, comment stuff out until we have some sanity.
#sed -i "s/Pattern\.quote//g" "${NON_GNU}.java" || die
# Build with GNU Classpath.
JAVAC_ARGS="-Xbootclasspath/p:$(java-pkg_get-bootclasspath 1.5)" java-pkg-simple_src_compile
# Restore Pattern.quote and rebuild the class that uses it.
#cp -v "${NON_GNU}.java"{.orig,} || die
#ejavac -cp target/classes -d target/classes "${NON_GNU}.java"
#jar uf "${PN}.jar" -C target/classes "${NON_GNU}.class" || die
}
src_install() {
java-pkg-simple_src_install
java-pkg_register-optional-dependency jdbc-mysql,jdbc-postgresql,sqlite-jdbc,h2
dodoc readme.txt || die
newdoc "${PN}"-userguide{-*,}.pdf || die
}

106
dev-java/ebean/files/no-scala.patch

@ -1,106 +0,0 @@
diff -Naur com.orig/avaje/ebeaninternal/server/deploy/DetermineManyType.java com/avaje/ebeaninternal/server/deploy/DetermineManyType.java
--- com.orig/avaje/ebeaninternal/server/deploy/DetermineManyType.java 2010-11-03 23:48:44.000000000 +0000
+++ com/avaje/ebeaninternal/server/deploy/DetermineManyType.java 2011-09-24 22:01:53.970131474 +0100
@@ -20,21 +20,9 @@
public DetermineManyType(boolean withScalaSupport) {
this.withScalaSupport = withScalaSupport;
- if (withScalaSupport){
-
- CollectionTypeConverter bufConverter = new ScalaBufferConverter();
- CollectionTypeConverter setConverter = new ScalaSetConverter();
- CollectionTypeConverter mapConverter = new ScalaMapConverter();
-
- this.scalaBufMany = new ManyType(ManyType.Underlying.LIST, bufConverter);
- this.scalaSetMany = new ManyType(ManyType.Underlying.SET, setConverter);
- this.scalaMapMany = new ManyType(ManyType.Underlying.MAP, mapConverter);
-
- } else {
this.scalaBufMany = null;
this.scalaSetMany = null;
this.scalaMapMany = null;
- }
}
public ManyType getManyType(Class<?> type) {
@@ -47,18 +35,6 @@
if (type.equals(Map.class)){
return ManyType.JAVA_MAP;
}
- if (withScalaSupport){
- // only get in here when scala in classpath
- if (type.equals(scala.collection.mutable.Buffer.class)){
- return scalaBufMany;
- }
- if (type.equals(scala.collection.mutable.Set.class)){
- return scalaSetMany;
- }
- if (type.equals(scala.collection.mutable.Map.class)){
- return scalaMapMany;
- }
- }
return null;
}
}
diff -Naur com.orig/avaje/ebeaninternal/server/deploy/parse/DeployCreateProperties.java com/avaje/ebeaninternal/server/deploy/parse/DeployCreateProperties.java
--- com.orig/avaje/ebeaninternal/server/deploy/parse/DeployCreateProperties.java 2010-11-05 21:28:14.000000000 +0000
+++ com/avaje/ebeaninternal/server/deploy/parse/DeployCreateProperties.java 2011-09-24 22:00:06.195507927 +0100
@@ -42,7 +42,6 @@
import com.avaje.ebeaninternal.server.deploy.meta.DeployBeanPropertyCompound;
import com.avaje.ebeaninternal.server.deploy.meta.DeployBeanPropertySimpleCollection;
import com.avaje.ebeaninternal.server.type.CtCompoundType;
-import com.avaje.ebeaninternal.server.type.ScalaOptionTypeConverter;
import com.avaje.ebeaninternal.server.type.ScalarType;
import com.avaje.ebeaninternal.server.type.TypeManager;
import com.avaje.ebeaninternal.server.type.reflect.CheckImmutableResponse;
@@ -72,18 +71,9 @@
@SuppressWarnings("rawtypes")
public DeployCreateProperties(TypeManager typeManager) {
this.typeManager = typeManager;
-
- Class<?> tmpOptionClass = DetectScala.getScalaOptionClass();
-
- if (tmpOptionClass == null){
scalaOptionClass = null;
scalaOptionTypeConverter = null;
- } else {
- scalaOptionClass = tmpOptionClass;
- scalaOptionTypeConverter = new ScalaOptionTypeConverter();
- }
-
- this.determineManyType = new DetermineManyType(tmpOptionClass != null);
+ this.determineManyType = new DetermineManyType(false);
}
/**
diff -Naur com.orig/avaje/ebeaninternal/server/persist/DmlUtil.java com/avaje/ebeaninternal/server/persist/DmlUtil.java
--- com.orig/avaje/ebeaninternal/server/persist/DmlUtil.java 2010-11-03 23:48:40.000000000 +0000
+++ com/avaje/ebeaninternal/server/persist/DmlUtil.java 2011-09-24 22:03:14.242106000 +0100
@@ -1,13 +1,11 @@
package com.avaje.ebeaninternal.server.persist;
-import com.avaje.ebeaninternal.server.deploy.parse.DetectScala;
/**
* Utility object with helper methods for DML.
*/
public class DmlUtil {
- private static final boolean hasScalaSupport = DetectScala.hasScalaSupport();
/**
* Return true if the value is null or a Numeric 0 (for primitive int's and long's) or Option empty.
@@ -21,13 +19,6 @@
return ((Number)value).longValue() == 0l;
}
- if (hasScalaSupport){
- if (value instanceof scala.Option<?>) {
- if (((scala.Option<?>) value).isEmpty()) {
- return true;
- }
- }
- }
return false;
}

1
dev-java/gnu-classpath/Manifest

@ -1 +0,0 @@
DIST classpath-0.99.tar.gz 11078232 SHA256 f929297f8ae9b613a1a167e231566861893260651d913ad9b6c11933895fecc8 SHA512 d8f38677ecc6a0f4b26197ab16e9888c51043364141675ad69684828e2d0ecb93122249672e2e7997aea817cc4aac68c17ccf59bf8913afe81e9536bee6b73ac WHIRLPOOL 259d0ac0649472ac58fe79ef2886407f2e455da39d43f425c1380f885ba755bd627a4138c051da8f70e3bb50a3c97abd0be3a01731869d2ff90c5b0fd5aca0af

111
dev-java/gnu-classpath/gnu-classpath-0.99.ebuild

@ -1,111 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
inherit eutils java-pkg-2 base multilib
MY_P=${P/gnu-/}
DESCRIPTION="Free core class libraries for use with virtual machines and compilers for the Java language"
SRC_URI="mirror://gnu/classpath/${MY_P}.tar.gz"
HOMEPAGE="http://www.gnu.org/software/classpath"
LICENSE="GPL-2-with-linking-exception"
SLOT="0.99"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE="alsa debug doc dssi examples gconf gjdoc gmp gtk gstreamer qt4 xml"
RDEPEND="alsa? ( media-libs/alsa-lib )
doc? ( >=dev-java/gjdoc-0.7.9-r2 )
dssi? ( >=media-libs/dssi-0.9 )
gconf? ( gnome-base/gconf )
gjdoc? ( >=dev-java/antlr-2.7.1:0 )
gmp? ( >=dev-libs/gmp-4.2.4 )
gstreamer? (
>=media-libs/gstreamer-0.10.10
>=media-libs/gst-plugins-base-0.10.10
x11-libs/gtk+:2
)
gtk? (
>=x11-libs/gtk+-2.8:2
>=dev-libs/glib-2.0
media-libs/freetype
>=x11-libs/cairo-1.1.9
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libXrandr
x11-libs/libXrender
x11-libs/libXtst
x11-libs/pango
)
qt4? ( x11-libs/qt-gui:4 )
xml? ( >=dev-libs/libxml2-2.6.8 >=dev-libs/libxslt-1.1.11 )"
# java-config >2.1.11 needed for ecj version globbing
# We should make the build not pickup the wrong antlr binary from pccts
DEPEND="app-arch/zip
dev-java/eclipse-ecj
>=dev-java/java-config-2.1.11
gjdoc? ( !!dev-util/pccts )
gtk? (
x11-libs/libXrender
|| ( >=x11-libs/libXtst-1.1.0 <x11-proto/xextproto-7.1 )
x11-proto/xproto
)
>=virtual/jdk-1.5
${RDEPEND}"
RDEPEND=">=virtual/jre-1.5
${RDEPEND}"
S=${WORKDIR}/${MY_P}
src_configure() {
# We require ecj anyway, so force it to avoid problems with bad versions of javac
export JAVAC="/usr/bin/ecj"
export JAVA="/usr/bin/java"
# build takes care of them itself, duplicate -source -target kills ecj
export JAVACFLAGS="-nowarn"
# build system is passing -J-Xmx768M which ecj however ignores
# this will make the ecj launcher do it (seen case where default was not enough heap)
export gjl_java_args="-Xmx768M"
# don't use econf, because it ends up putting things under /usr, which may
# collide with other slots of classpath
local myconf
if use gjdoc; then
local antlr=$(java-pkg_getjar antlr antlr.jar)
myconf="--with-antlr-jar=${antlr}"
fi
ANTLR= ./configure \
$(use_enable alsa) \
$(use_enable debug ) \
$(use_enable examples) \
$(use_enable gconf gconf-peer) \
$(use_enable gjdoc) \
$(use_enable gmp) \
$(use_enable gtk gtk-peer) \
$(use_enable gstreamer gstreamer-peer) \
$(use_enable qt4 qt-peer) \
$(use_enable xml xmlj) \
$(use_enable dssi ) \
$(use_with doc gjdoc) \
--enable-jni \
--disable-dependency-tracking \
--host=${CHOST} \
--prefix=/usr/${PN}-${SLOT} \
--with-ecj-jar=$(java-pkg_getjar --build-only eclipse-ecj-* ecj.jar) \
--disable-Werror \
${myconf} \
|| die "configure failed"
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS BUGS ChangeLog* HACKING NEWS README THANKYOU TODO || die
java-pkg_regjar /usr/${P}/share/classpath/glibj.zip
}

1
dev-java/gson/Manifest

@ -1 +0,0 @@
DIST google-gson-2.2.2-release.zip 530698 SHA256 22ef1257d13c172b2941337c77920beb3c6972a55fc3917738d4fc012b3637d2 SHA512 c5622fb0963e6cf7514abc6b7b2baa9d424959d1e9282cc9bcbcd81904ee66e84a0a2a30db4f3b80939e8bab78cee52240108dab09dbef7adc3cb60901b057c1 WHIRLPOOL 44a825b361328579382f9c12fb49d530c9a04b8cdec5308d013774e9f9afa4f2e827d8e0718004ff8c0e1bd4bb4027333c69df1bc9859178988b8d487c190348

38
dev-java/gson/gson-2.2.2.ebuild

@ -1,38 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Java library to convert JSON to Java objects and vice-versa"
HOMEPAGE="http://code.google.com/p/google-gson/"
SRC_URI="http://google-gson.googlecode.com/files/google-${P}-release.zip"
LICENSE="Apache-2.0"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=">=virtual/jdk-1.5
app-arch/unzip"
RDEPEND=">=virtual/jre-1.5"
S="${WORKDIR}/google-${P}"
src_unpack() {
unpack ${A}
cd "${S}" || die
unpack "./${P}-sources.jar"
}
java_prepare() {
rm -v *.jar || die
}
src_install() {
java-pkg-simple_src_install
dodoc README
}

1
dev-java/hawtjni-runtime/Manifest

@ -1 +0,0 @@
DIST hawtjni-runtime-1.5.tar.gz 1600242 SHA256 ccc42e8e6bc020668f17d1d6d9ba9ffd02dad23e96ef13fb5005690c370770b6 SHA512 e2521339aa9ae5988423e8bf68ebd80f027253346556a83b5af4ccb1d93cacd5b4272dc02b12e974fd110ec78ad39850e10d56902ded8b2bdc1af10e4de89116 WHIRLPOOL e276caaad05c9be48dc89988bfa04bac2666fa8d1587e43aa8a5f5daf76e32f43ac0be4d648119ae594ce73b5b708c2f1a5d412597c17f4b63f6947d1935d9d2

24
dev-java/hawtjni-runtime/hawtjni-runtime-1.5.ebuild

@ -1,24 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="7e534c3"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="A JNI code generator based on the JNI generator used by the eclipse SWT project"
HOMEPAGE="http://jansi.fusesource.org/"
SRC_URI="https://github.com/fusesource/hawtjni/tarball/hawtjni-project-${PV} -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
RDEPEND=">=virtual/jre-1.5"
DEPEND=">=virtual/jdk-1.5"
S="${WORKDIR}/fusesource-hawtjni-${COMMIT}/${PN}"
JAVA_SRC_DIR="src/main/java"

1
dev-java/jansi-native/Manifest

@ -1 +0,0 @@
DIST jansi-native-1.4.tar.gz 201641 SHA256 0ba65200bdd3f6690f2084dafe0cc3f8ad892b25ea92ac288b1d14fde7345a5b SHA512 28a4c35fd8c99bd84c637c8f3997eee026d040ae27d5c468068f8f075f4cb118762b60ab3a4322148b8c445c36b5a3b0f300a27ff9f564141c445ecb53318cb0 WHIRLPOOL b7db0b00a25269ba511173e98c989da1f07412be3604335502cf23bf073e4a6d06c1463dc3587c2bab83195d4ce11c193d231a30708413ed6e64ee549846f4fd

26
dev-java/jansi-native/jansi-native-1.4.ebuild

@ -1,26 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="8fda57a"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Builds the JNI libraries for the jansi project"
HOMEPAGE="http://jansi.fusesource.org/"
SRC_URI="https://github.com/fusesource/${PN}/tarball/${P} -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
RDEPEND=">=virtual/jre-1.5
dev-java/hawtjni-runtime"
DEPEND=">=virtual/jdk-1.5
dev-java/hawtjni-runtime"
S="${WORKDIR}/fusesource-${PN}-${COMMIT}"
JAVA_GENTOO_CLASSPATH="hawtjni-runtime"

1
dev-java/jansi/Manifest

@ -1 +0,0 @@
DIST jansi-1.9.tar.gz 252137 SHA256 94600b4573cbb32d6d9124147cad09e1991de450933eb6b722ece5b499bd80f7 SHA512 b23c98436882b4fd76170684a342798eeb735f18a060da46fba22fee6db5c0f71e0a2bf2f31c218e10828e0d255f64893a8065a5e70c9d7e0ce848d77bde4b17 WHIRLPOOL 9efd3311f557bb9030e5ecf9101489858913ee81617e61cf8e13067d71180669577b8e2c6e69eaa5c46939995759c3812b9ea44f7f174d73187336adcbdd7ec0

34
dev-java/jansi/jansi-1.9.ebuild

@ -1,34 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="5487ba3"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Jansi is a small java library that allows you to use ANSI escape sequences in your console output"
HOMEPAGE="http://jansi.fusesource.org/"
SRC_URI="https://github.com/fusesource/${PN}/tarball/${PN}-project-${PV} -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
RDEPEND=">=virtual/jre-1.5
dev-java/hawtjni-runtime
dev-java/jansi-native"
DEPEND=">=virtual/jdk-1.5
dev-java/hawtjni-runtime
dev-java/jansi-native"
S="${WORKDIR}/fusesource-${PN}-${COMMIT}/${PN}"
JAVA_SRC_DIR="src/main/java"
JAVA_GENTOO_CLASSPATH="hawtjni-runtime jansi-native"
java_prepare() {
# Easier to use java-pkg-simple.
rm -v pom.xml || die
}

1
dev-java/jline/Manifest

@ -1 +0,0 @@
DIST jline-2.7.tar.gz 80138 SHA256 071d491d8082c5bf6560aebb862b81308a0d686c2f1b46c7a44dd462cbaacd25 SHA512 ef4d6226d3ea0ec2d527ca0ea921f4b7aac319ee30dacd90bf1fc873890cc548765c21645a28b2d408d4b2f0ce6d65533c919ad8cbfc62a667da15bbbf59ac91 WHIRLPOOL bb987fa07881ef89913b257e755f5c8c8f9b67c15aae4aec63852489dc7eabfe6342c9c6062ee5c3f49917e62df1208ade02ebbd778f7afbfece088d5e79ca12

26
dev-java/jline/files/maven-build.properties

@ -1,26 +0,0 @@
#Generated by Maven Ant Plugin - DO NOT EDIT THIS FILE!
#Wed Aug 01 13:52:00 CEST 2012
maven.settings.offline=false
maven.build.finalName=jline-2.7
maven.build.resourceDir.1=src/main/filtered-resources
maven.build.resourceDir.0=src/main/resources
maven.build.testOutputDir=${maven.build.dir}/test-classes
maven.build.testResourceDir.1=src/test/filtered-resources
build.number=
maven.build.testResourceDir.0=src/test/resources
maven.reporting.outputDirectory=${maven.build.dir}/site
project.build.sourceEncoding=UTF-8
maven.build.timestamp.format=yyyyMMddHHmm
maven.build.srcDir.0=src/main/java
sonatypeOssDistMgmtSnapshotsUrl=https\://oss.sonatype.org/content/repositories/snapshots/
project.build.directory=${maven.build.dir}
maven.test.reports=${maven.build.dir}/test-reports
maven.build.dir=target
project.build.outputDirectory=${maven.build.outputDir}
maven.test.redirectTestOutputToFile=true
project.reporting.outputEncoding=UTF-8
maven.build.testDir.0=src/test/java
maven.settings.interactiveMode=true
build.timestamp=201208011351
maven.repo.local=lib
maven.build.outputDir=${maven.build.dir}/classes

278
dev-java/jline/files/maven-build.xml

@ -1,278 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- ====================================================================== -->
<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above. -->
<!-- ====================================================================== -->
<!-- ====================================================================== -->
<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
<!-- ====================================================================== -->
<!-- -->
<!-- Any modifications will be overwritten. -->
<!-- -->
<!-- Generated by Maven Ant Plugin on 8/1/12 1:51 PM -->
<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/ -->
<!-- -->
<!-- ====================================================================== -->
<project name="jline-from-maven" default="package" basedir=".">
<!-- ====================================================================== -->
<!-- Build environment properties -->
<!-- ====================================================================== -->
<property file="${user.home}/.m2/maven.properties"/>
<property file="maven-build.properties"/>
<property name="maven.build.finalName" value="jline-2.7"/>
<property name="maven.build.dir" value="target"/>
<property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
<property name="maven.build.srcDir.0" value="src/main/java"/>
<property name="maven.build.resourceDir.0" value="src/main/resources"/>
<property name="maven.build.resourceDir.1" value="src/main/filtered-resources"/>
<property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
<property name="maven.build.testDir.0" value="src/test/java"/>
<property name="maven.build.testResourceDir.0" value="src/test/resources"/>
<property name="maven.build.testResourceDir.1" value="src/test/filtered-resources"/>
<property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
<property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
<property name="maven.settings.offline" value="true"/>
<property name="maven.settings.interactiveMode" value="true"/>
<!-- ====================================================================== -->
<!-- Defining classpaths -->
<!-- ====================================================================== -->
<path id="build.classpath">
<fileset dir="${maven.repo.local}">
<include name="*.jar"/>
</fileset>
</path>
<path id="build.test.classpath">
<fileset dir="${maven.repo.local}">
<include name="*.jar"/>
</fileset>
</path>
<!-- ====================================================================== -->
<!-- Cleaning up target -->
<!-- ====================================================================== -->
<target name="clean" description="Clean the output directory">
<delete dir="${maven.build.dir}"/>
</target>
<!-- ====================================================================== -->
<!-- Compilation target -->
<!-- ====================================================================== -->
<target name="compile" depends="get-deps" description="Compile the code">
<mkdir dir="${maven.build.outputDir}"/>
<javac destdir="${maven.build.outputDir}"
nowarn="false"
debug="true"
optimize="false"
deprecation="true"
target="1.5"
verbose="false"
fork="false"
source="1.5">
<src>
<pathelement location="${maven.build.srcDir.0}"/>
</src>
<classpath refid="build.classpath"/>
</javac>
<copy todir="${maven.build.outputDir}">
<fileset dir="${maven.build.resourceDir.0}">
<include name="**/*"/>
</fileset>
</copy>
</target>
<!-- ====================================================================== -->
<!-- Test-compilation target -->
<!-- ====================================================================== -->
<target name="compile-tests"
depends="compile"
description="Compile the test code"
unless="maven.test.skip">
<mkdir dir="${maven.build.testOutputDir}"/>
<javac destdir="${maven.build.testOutputDir}"
nowarn="false"
debug="true"
optimize="false"
deprecation="true"
target="1.5"
verbose="false"
fork="false"
source="1.5">
<src>
<pathelement location="${maven.build.testDir.0}"/>
</src>
<classpath>
<path refid="build.test.classpath"/>
<pathelement location="${maven.build.outputDir}"/>
</classpath>
</javac>
<copy todir="${maven.build.testOutputDir}">
<fileset dir="${maven.build.testResourceDir.0}">
<include name="**/*"/>
</fileset>
</copy>
</target>
<!-- ====================================================================== -->
<!-- Run all tests -->
<!-- ====================================================================== -->
<target name="test"
depends="compile-tests, junit-missing"
unless="junit.skipped"
description="Run the test cases">
<mkdir dir="${maven.test.reports}"/>
<junit printSummary="yes" haltonerror="true" haltonfailure="true" fork="true" dir=".">
<sysproperty key="basedir" value="."/>
<formatter type="xml"/>
<formatter type="plain" usefile="false"/>
<classpath>
<path refid="build.test.classpath"/>
<pathelement location="${maven.build.outputDir}"/>
<pathelement location="${maven.build.testOutputDir}"/>
</classpath>
<batchtest todir="${maven.test.reports}" unless="test">
<fileset dir="${maven.build.testDir.0}">
<include name="**/*Test.java"/>
<exclude name="**/Abstract*.java"/>
<exclude name="**/Test*.java"/>
</fileset>
</batchtest>
<batchtest todir="${maven.test.reports}" if="test">
<fileset dir="${maven.build.testDir.0}">
<include name="**/${test}.java"/>
<exclude name="**/Abstract*.java"/>
<exclude name="**/Test*.java"/>
</fileset>
</batchtest>
</junit>
</target>
<target name="test-junit-present">
<available classname="junit.framework.Test" property="junit.present"/>
</target>
<target name="test-junit-status"
depends="test-junit-present">
<condition property="junit.missing">
<and>
<isfalse value="${junit.present}"/>
<isfalse value="${maven.test.skip}"/>
</and>
</condition>
<condition property="junit.skipped">
<or>
<isfalse value="${junit.present}"/>
<istrue value="${maven.test.skip}"/>
</or>
</condition>
</target>
<target name="junit-missing"
depends="test-junit-status"
if="junit.missing">
<echo>=================================== WARNING ===================================</echo>
<echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
<echo>===============================================================================</echo>
</target>
<!-- ====================================================================== -->
<!-- Javadoc target -->
<!-- ====================================================================== -->
<target name="javadoc" description="Generates the Javadoc of the application">
<javadoc sourcepath="${maven.build.srcDir.0}"
packagenames="*"
destdir="${maven.reporting.outputDirectory}/apidocs"
access="protected"
old="false"
verbose="false"
version="true"
use="true"
author="true"
splitindex="false"
nodeprecated="false"
nodeprecatedlist="false"
notree="false"
noindex="false"
nohelp="false"
nonavbar="false"
serialwarn="false"
charset="ISO-8859-1"
linksource="false"
breakiterator="false"/>
</target>
<!-- ====================================================================== -->
<!-- Package target -->
<!-- ====================================================================== -->
<target name="package" depends="compile,test" description="Package the application">
<jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar"
compress="true"
index="false"
basedir="${maven.build.outputDir}"
excludes="**/package.html"/>
</target>
<!-- ====================================================================== -->
<!-- A dummy target for the package named after the type it creates -->
<!-- ====================================================================== -->
<target name="jar" depends="package" description="Builds the jar for the application"/>
<!-- ====================================================================== -->
<!-- Download dependencies target -->
<!-- ====================================================================== -->
<target name="test-offline">
<condition property="maven.mode.offline">
<equals arg1="${maven.settings.offline}" arg2="true"/>
</condition>
</target>
<target name="get-deps"
depends="test-offline"
description="Download all dependencies"
unless="maven.mode.offline">
<mkdir dir="${maven.repo.local}"/>
<mkdir dir="${maven.repo.local}/org/fusesource/jansi/jansi/1.8"/>
<get src="https://oss.sonatype.org/content/repositories/snapshots/org/fusesource/jansi/jansi/1.8/jansi-1.8.jar"
dest="${maven.repo.local}/org/fusesource/jansi/jansi/1.8/jansi-1.8.jar"
usetimestamp="false"
ignoreerrors="true"/>
<get src="http://repo.maven.apache.org/maven2/org/fusesource/jansi/jansi/1.8/jansi-1.8.jar"
dest="${maven.repo.local}/org/fusesource/jansi/jansi/1.8/jansi-1.8.jar"
usetimestamp="false"
ignoreerrors="true"/>
<mkdir dir="${maven.repo.local}/junit/junit/4.10"/>
<get src="https://oss.sonatype.org/content/repositories/snapshots/junit/junit/4.10/junit-4.10.jar"
dest="${maven.repo.local}/junit/junit/4.10/junit-4.10.jar"
usetimestamp="false"
ignoreerrors="true"/>
<get src="http://repo.maven.apache.org/maven2/junit/junit/4.10/junit-4.10.jar"
dest="${maven.repo.local}/junit/junit/4.10/junit-4.10.jar"
usetimestamp="false"
ignoreerrors="true"/>
<mkdir dir="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1"/>
<get src="https://oss.sonatype.org/content/repositories/snapshots/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
usetimestamp="false"
ignoreerrors="true"/>
<get src="http://repo.maven.apache.org/maven2/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"
usetimestamp="false"
ignoreerrors="true"/>
</target>
</project>

62
dev-java/jline/jline-2.7.ebuild

@ -1,62 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="28d037f"
JAVA_PKG_IUSE="source test"
inherit java-pkg-2 java-ant-2
DESCRIPTION="A Java library for handling console input"
HOMEPAGE="http://jline.sourceforge.net/"
SRC_URI="https://github.com/jline/jline2/tarball/${P} -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
DEPEND=">=virtual/jdk-1.5
>=dev-java/jansi-1.8
>=dev-java/jansi-native-1.4
test? ( dev-java/ant-junit
>=dev-java/hamcrest-core-1.1 )"
RDEPEND=">=virtual/jre-1.5"
S="${WORKDIR}/${PN}-jline2-${COMMIT}"
java_prepare() {
# we don't support maven for building yet. this build.xml was generated by:
# - mvn ant:ant
# - tweak build.xml to not load properties from home dir
# - tweak the test target to match the test cases
# - change maven.repo.local from ~/.maven to "lib" in .properties
# - removed manifest
# - change classpath definitions to "*.jar"
cp "${FILESDIR}/maven-build.xml" build.xml || die
cp "${FILESDIR}/maven-build.properties" . || die
java-ant_ignore-system-classes
mkdir lib && cd lib || die
java-pkg_jar-from jansi
java-pkg_jar-from jansi-native
}
src_compile() {
# precompiled javadocs (needs maven to generate)
# -Dmaven.build.finalName is needed to override the one defined in the
# build.xml, which because it was generated with 2.7, defaults to
# jline-2.7 -Dessa
eant package -Dmaven.build.finalName=${P}
}
src_test() {
use test && java-pkg_jar-from --build-only junit
use test && java-pkg_jar-from --build-only hamcrest-core
ANT_TASKS="ant-junit" eant test -Djunit.present=true
}
src_install() {
java-pkg_newjar target/jline-${PV}.ja
use doc && java-pkg_dojavadoc ../apidocs
use source && java-pkg_dosrc src/main/java
}

1
dev-java/jopt-simple/Manifest

@ -1 +0,0 @@
DIST jopt-simple-4.3.tar.gz 98369 SHA256 dce22435f12c55d31fee08d39cb63282fbb0768adc2e37ea9cdb3557b7594865 SHA512 dc36237d253501d8c7ac5dcbb7353055f46faa2eca377931522c7d61d6ba7d9d10ca10f577ff2ed6784fb67596f4d18af1865b04a2110c315c4c6ddab5aebbc7 WHIRLPOOL c867aada5fda26a01419b8716c6410969a73357ad5b80d6d98195ee407311b8128d69bd9ad25013175cbefbf1087b01d56812f2c01364912d10a5e8bf3ae9650

48
dev-java/jopt-simple/jopt-simple-4.3.ebuild

@ -1,48 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="6be54be"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="A Java library for parsing command line options"
HOMEPAGE="http://pholser.github.com/jopt-simple/"
SRC_URI="https://github.com/pholser/${PN}/tarball/${P} -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="test" # Needs org.infinitest.toolkit.
RDEPEND=">=virtual/jre-1.5"
DEPEND=">=virtual/jdk-1.5
test? ( dev-java/junit:4 )"
S="${WORKDIR}/pholser-${PN}-${COMMIT}"
JAVA_SRC_DIR="src/main/java"
java_prepare() {
# Easier to use java-pkg-simple.
rm -v pom.xml || die
}
src_install() {
java-pkg-simple_src_install
dodoc README.md || die
}
src_test() {
local CP="${DIR}:${PN}.jar:$(java-pkg_getjars junit-4)"
local TESTS=$(find src/test/java -name "*Test.java")
TESTS="${TESTS//src\/test\/java\/}"
TESTS="${TESTS//.java}"
TESTS="${TESTS//\//.}"
mkdir -p target/test || die
ejavac -cp "${CP}" -d target/test $(find src/test/java -name "*.java")
ejunit4 -classpath "${CP}" ${TESTS}
}

2897
eclass/java-utils-2.eclass

File diff suppressed because it is too large

1
games-server/bukkit/Manifest

@ -1 +0,0 @@
DIST bukkit-1500.tar.gz 261127 SHA256 9c95602929b63c0dd0e7ac1907bde19b0243b59a4e0c4e4c7ed4a19b55d2bacf SHA512 686ed83b2aa0111d488707c4fb9307105409889e2f5cb03b4357664df7b9c2a87baf8a1ed6064b02dc12f43aab9d686c216a2fbafc4a1f026a5ff7bfbc473796 WHIRLPOOL b9933bb3bea5f7ab469da20bcd0d4c0174154af8587b4d8fbca95a2d59daac3a73c4481513bba28ff1faeabe624e029b696cc797255b2eca2d6e619007163346

49
games-server/bukkit/bukkit-1500.ebuild

@ -1,49 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="87b38c0"
BUKKIT_API="1.2.5-R5.0"
JAVA_PKG_IUSE="doc source"
inherit games java-pkg-2 java-pkg-simple
DESCRIPTION="Generic API component of the plugin-based server mod for Minecraft"
HOMEPAGE="http://bukkit.org"
SRC_URI="https://github.com/Bukkit/Bukkit/tarball/${COMMIT} -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
CDEPEND="dev-java/commons-lang:2.1
dev-java/ebean:0
dev-java/guava:10
>=dev-java/snakeyaml-1.9:0"
DEPEND="${CDEPEND}
>=virtual/jdk-1.6"
RDEPEND="${CDEPEND}
>=dev-java/json-simple-1.1:0
>=virtual/jre-1.6"
S="${WORKDIR}/Bukkit-Bukkit-${COMMIT}"
JAVA_GENTOO_CLASSPATH="commons-lang-2.1 ebean guava-10 snakeyaml"
JAVA_SRC_DIR="src/main/java"
java_prepare() {
# Easier to use java-pkg-simple.
rm -v pom.xml || die
mkdir -p target/classes/META-INF/maven/org.bukkit/bukkit || die
echo "version=${BUKKIT_API}" > target/classes/META-INF/maven/org.bukkit/bukkit/pom.properties || die
}
src_install() {
java-pkg_register-dependency json-simple
java-pkg-simple_src_install
dodoc README.md || die
}

2
games-server/craftbukkit/Manifest

@ -1,2 +0,0 @@
DIST craftbukkit-2262.tar.gz 373318 SHA256 fc6a18e1011b3a36be6d1dfb4d4b5ff71470241eba886e37c017a2d3f2a45796 SHA512 d34758e100b0af613b1af0bd6188ce2f2c91ced0338c6008043667c69f6c1fef3e07546e7ca847a5b5aa65b94fdc13c334f7dd7f01223031e5e30fb19f5f393f WHIRLPOOL 3792b16e77a3ccd8cafb077ea26ec9c4e2c0c76783dafdc2ba404f0c29f85ac850e05f47b32a70a2f40e698a70935b80987d5c724254c8ef325fdfc0d6371ef5
DIST minecraft-server-unobfuscated-1.2.5.jar 1603471 SHA256 49ed609d41c2a515cc20cf59da8be0b54d4970c0e5244fbb03430bf543e93c82 SHA512 4fe47932621b974a477dfb21885fb1b13270c9ed88c9f7edf290363530d09000b400920cbe1025b7b429f44d6332e59e830ccaa3783a17075e458cd38c679363 WHIRLPOOL 220a02abefd92a96382e2420c118c337708438e5fd150c166125c52fd5bbf95e2b2804b00faad06385526f4f0257e77c354b6753708a02b98201ec7c471d208e

114
games-server/craftbukkit/craftbukkit-2262.ebuild

@ -1,114 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=2
COMMIT="d95aee5"
MC_PV="1.2.5"
MC_PN="minecraft-server-unobfuscated"
MC_JAR="${MC_PN}-${MC_PV}.jar"
inherit games java-pkg-2 java-pkg-simple
DESCRIPTION="Bukkit implementation for the official Minecraft server"
HOMEPAGE="http://bukkit.org"
SRC_URI="https://github.com/Bukkit/CraftBukkit/tarball/${COMMIT} -> ${P}.tar.gz
http://repo.bukkit.org/content/repositories/releases/org/bukkit/minecraft-server/${MC_PV}/minecraft-server-${MC_PV}.jar -> ${MC_JAR}"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="ipv6"
CDEPEND="dev-java/commons-lang:2.1
dev-java/ebean:0
dev-java/gson:2
dev-java/guava:10
>=dev-java/jline-2.7:0
dev-java/jopt-simple:0
>=dev-java/snakeyaml-1.9:0
>=dev-java/jansi-1.8:0
~games-server/bukkit-1500:0"
DEPEND="${CDEPEND}
>=virtual/jdk-1.6"
RDEPEND="${CDEPEND}
>=virtual/jre-1.6
games-server/minecraft-common"
S="${WORKDIR}/Bukkit-CraftBukkit-${COMMIT}"
JAVA_GENTOO_CLASSPATH="bukkit commons-lang-2.1 ebean gson-2 guava-10 jansi jline jopt-simple snakeyaml"
JAVA_CLASSPATH_EXTRA="${DISTDIR}/${MC_JAR}"
JAVA_SRC_DIR="src/main/java"
src_unpack() {
unpack "${P}.tar.gz"
mkdir -p "${S}/target/classes/META-INF" || die
cd "${S}/target/classes" || die
unpack "${MC_JAR}"
}
java_prepare() {
# Easier to use java-pkg-simple.
rm -v pom.xml || die
cp "${FILESDIR}"/directory.sh . || die
sed -i "s/@GAMES_USER_DED@/${GAMES_USER_DED}/g" directory.sh || die
echo "Implementation-Version: Gentoo-${PVR}" > target/classes/META-INF/MANIFEST.MF || die
cp -r src/main/resources/* target/classes || die
}
src_install() {
local ARGS
use ipv6 || ARGS="-Djava.net.preferIPv4Stack=true"
java-pkg-simple_src_install
java-pkg_dolauncher "${PN}" -into "${GAMES_PREFIX}" -pre directory.sh \
--java_args "-Xmx1024M -Xms512M ${ARGS}" --main org.bukkit.craftbukkit.Main
dosym minecraft-server "/etc/init.d/${PN}" || die
dodoc README.md || die
prepgamesdirs
}
pkg_postinst() {
einfo "You may run ${PN} as a regular user or start a system-wide"
einfo "instance using /etc/init.d/${PN}. The multiverse files are"
einfo "stored in ~/.minecraft/servers or /var/lib/minecraft respectively."
echo
einfo "The console for system-wide instances can be accessed by any user in"
einfo "the ${GAMES_GROUP} group using the minecraft-server-console command. This"
einfo "starts a client instance of tmux. The most important key-binding to"
einfo "remember is Ctrl-b d, which will detach the console and return you to"
einfo "your previous screen without stopping the server."
echo
einfo "This package allows you to start multiple CraftBukkit server instances."
einfo "You can do this by adding a multiverse name after ${PN} or by"
einfo "creating a symlink such as /etc/init.d/${PN}.foo. You would"
einfo "then access the console with \"minecraft-server-console foo\". The"
einfo "default multiverse name is \"main\"."
echo
einfo "Some Bukkit plugins store information in a database. Regardless of"
einfo "whether they handle their own database connectivity or use Bukkit's"
einfo "own Ebean solution, you can install your preferred JDBC driver through"
einfo "Portage. The available drivers are..."
einfo ""
einfo " # dev-java/h2"
einfo " # dev-java/sqlite-jdbc"
einfo " # dev-java/jdbc-mysql"
einfo " # dev-java/jdbc-postgresql"
echo
if has_version games-server/minecraft-server; then
ewarn "You already have the official server installed. You may run both this"
ewarn "and CraftBukkit against the same multiverse but not simultaneously."
ewarn "This is not recommended though so don't come crying to us if it"
ewarn "trashes your world."
echo
fi
games_pkg_postinst
}

34
games-server/craftbukkit/files/directory.sh

@ -1,34 +0,0 @@
if [[ -z "$1" ]] || [[ "${1:0:1}" == "-" ]]; then
NAME="main"
echo "Multiverse name not specified. Defaulting to \"${NAME}\"." >&2
else
NAME="$1"
echo "Using multiverse name \"${NAME}\"." >&2
shift
fi
if [[ "$(whoami)" == "@GAMES_USER_DED@" ]]; then
gjl_pwd="/var/lib/minecraft/${NAME}"
else
gjl_pwd="${HOME}/.minecraft/servers/${NAME}"
fi
echo "Multiverse directory is ${gjl_pwd}." >&2
mkdir -p "${gjl_pwd}"/{lib,plugins/update}
if [[ "$(whoami)" == "@GAMES_USER_DED@" ]]; then
chmod g+ws "${gjl_pwd}"/{lib,plugins,plugins/update}
fi
for LIB in "h2" "mysql jdbc-mysql" "sqlite sqlite-jdbc" "postgresql jdbc-postgresql"; do
SRC="/usr/share/${LIB#* }/lib/${LIB#* }.jar"
DEST="${gjl_pwd}/lib/${LIB% *}.jar"
if [[ -f "${SRC}" ]]; then
ln -snf "${SRC}" "${DEST}"
elif [[ ! -f "${DEST}" ]]; then
rm -f "${DEST}"
fi
done
Loading…
Cancel
Save